Bug 860991 - Do not use log rotation for /var/log/boot.log
Do not use log rotation for /var/log/boot.log
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rsyslog5 (Show other bugs)
5.9
All Linux
medium Severity medium
: rc
: ---
Assigned To: Tomas Heinrich
BaseOS QE Security Team
:
Depends On:
Blocks: 921048 861057 861059
  Show dependency treegraph
 
Reported: 2012-09-27 05:24 EDT by Karel Srot
Modified: 2014-06-09 08:01 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 683537
: 861057 861059 (view as bug list)
Environment:
Last Closed: 2014-06-02 09:22:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Srot 2012-09-27 05:24:17 EDT
Since this has been fixed in RHEL6, it should probably be fixed in rsyslog5 too.

+++ This bug was initially created as a clone of Bug #683537 +++

2. What is the nature and description of the request?

rsyslog includes /var/log/boot.log in the /etc/logrotate.d/syslog file. Since
the boot.log file is only written to during boot up, it doesn't need to be
rotated on a schedule.
Comment 3 Karel Srot 2012-09-27 08:42:50 EDT
This has to be fixed in sysklogd too to avoid file conflicts on /etc/logrotate.d/syslog. Therefore postponing the bug to 5.10.
Comment 7 Karel Srot 2012-10-03 01:34:21 EDT
Removing RFE. This can be considered as a bugfix since the rotation of boot.log may cause its deleting if the file size grows above the limit during the boot. 

Also please note that this has been fixed in RHEL6.
Comment 8 RHEL Product and Program Management 2013-05-01 02:57:24 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 9 RHEL Product and Program Management 2014-03-07 07:17:54 EST
Thank you for submitting this request for inclusion in Red Hat Enterprise Linux 5. We've carefully evaluated the request, but are unable to include it in the  last planned RHEL5 minor release. This Bugzilla will soon be CLOSED as WONTFIX. To request that Red Hat re-consider this request, please re-open the bugzilla via  appropriate support channels and provide additional business and/or technical details about its importance to you.
Comment 10 RHEL Product and Program Management 2014-06-02 09:22:37 EDT
Thank you for submitting this request for inclusion in Red Hat Enterprise Linux 5. We've carefully evaluated the request, but are unable to include it in RHEL5 stream. If the issue is critical for your business, please provide additional business justification through the appropriate support channels (https://access.redhat.com/site/support).

Note You need to log in before you can comment on or make changes to this bug.